package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.params.BlurryParam;
import com.qmth.distributed.print.business.bean.params.CourseParam;
import com.qmth.distributed.print.business.entity.BasicCourse;

import java.util.List;

/**
 * <p>
 * 课程表 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface BasicCourseService extends IService<BasicCourse> {

    IPage<BasicCourse> list(Long schoolId, String code, String name, Integer pageNumber, Integer pageSize);

    List<BasicCourse> list(Long schoolId, String param);

    boolean saveCourse(BasicCourse course);

    boolean remove(Long id);

    List<BasicCourse> listCoursesByUserId(Long userId);
}
